
/* GUI.c */
void OpenEditWindow ( void );
void LockGUI ( void );
void UnlockGUI ( void );
void About ( void );
ULONG NumOfNodes ( struct List *l );
struct FileEntry *SelectedMain ( void );
struct RefsEntry *SelectedEdit ( void );
void UpdateMain ( void );
void UpdateEdit ( void );
void UpdateOptions ( void );
void UpdateOptionsGhost ( void );
void UpdateSettingsStruct ( void );
void HandleListViewClick ( struct TR_Message *m );
void HandleMenu ( struct TR_Message *m );
void HandleMainIDCMP ( struct TR_Message *m );
void HandleEditIDCMP ( struct TR_Message *m );
void HandleOptionsIDCMP ( struct TR_Message *m );
void HandleGUI ( void );
void GoGUI ( void );
void CloseGUI ( void );

/* Lists.c */
void LoadData ( STRPTR name );
void SaveData ( STRPTR name );
LONG IndexFileList ( UBYTE *path , struct rtFileList *lst );
void IndexRecursive ( UBYTE *path , UBYTE *dir );
void IndexFile ( UBYTE *dir , UBYTE *filename );
LONG FileType ( STRPTR filename );
STRPTR FullName ( STRPTR path );
UBYTE *JoinPath ( UBYTE *dir , UBYTE *name );
void ADocToList ( UBYTE *filename );
void CToList ( UBYTE *filename );
void EToList ( STRPTR filename );
void AsmToList ( STRPTR filename );
UBYTE *SetSName ( UBYTE *buf , UBYTE *ptr );
BOOL IsAlphaNum ( UBYTE c );
struct FileEntry *AddFileToList ( UBYTE *name );
struct RefsEntry *AddRefToList ( struct FileEntry *fileentry , LONG offset , LONG length , WORD gotoline , STRPTR name );
void ClearFileList ( void );

/* Main.c */
__stkargs LONG _main ( LONG argc , STRPTR argv );
void LoadSettings ( STRPTR file );
void SaveSettings ( STRPTR file );
void CloseAll ( LONG error , ...);
void chkabort ( void );
